Windows Mobile 6.1 and .NET CF

Christian22

New Member
Licensed User
After upgrading my MDA Pro with WM 6.1, on device Basic4PPC (V6.05 and V6.30) does not start and produces an error message that the .NET Compact Framework must be installed. However, WM6.1 should already include a .NET Compact Framework. Other applications requiring .NET CF like GPS Tuner are running fine. Unfortunately, I dont know the Version of the .NET CF. Is there a possibility to work with the build-in .NET framework, since storage space is rare on the MDA.
Greetings Christian
 

Erel

Administrator
Staff member
Licensed User
Try to compile a simple application (with the optimized compiler) and see if it runs.
If it runs you can use the Hardware.NetVersion to find the exact version of .Net CF installed.
 

Christian22

New Member
Licensed User
Good idea. I have used Bekken provided by the forum and it tells me that the Framework version is: 3.5.7283.0.

Greetings Christian
 

Erel

Administrator
Staff member
Licensed User
Edit: As of version 6.50 this file is no longer required.

Please download the attached file.
Inside there are two folders:
Device - Copy Basic4ppc.exe.config to \Program Files\Basic4ppc (on the device).
Desktop - Copy deviceconfig to Basic4ppc Desktop folder: c:\Program Files\Anywhere Software\Basic4ppc Desktop.
 

Attachments

alfcen

Well-Known Member
Licensed User
Hi Christian,

The latest version of Bekken is posted at:
alfcen - bekken

Thanks to Erel's restless work it is now VGA-aware and can distinguish
physical screen sizes correctly.

Further, scanning COM ports now works for PPC2003(SE).

Cheers
Robert
 
Top